Subject: Re: bug#68796: xterm.c: Convert mouse-4/5/6/7 to wheel-up/down/left/right

From: Po Lu <[email-masked]>
Date: Sat, 10 Feb 2024 17:09:14 +0800

Eli Zaretskii <[email-masked]> writes:

> Ping!  Can we make some progress here?

I converted most of the Lisp code at my organization (where X servers
are configured with the input extension disabled) to use wheel events
under Emacs 30 and arranged for a modified version of Stefan's patch to
be built.  Which was incidentally not straightforward to do cleanly, as
the code in question assumed that events it received would be pairs of
button press and release events, and was very much designed around that
assumption.

Unfortunately the holidays are in full swing, and conclusions from this
cannot be drawn until once enough experience accumulates some time after
they end.  To complicate matters, users at my site don't often work with
Emacs 30, except for a few early adopters.